Skip to content

Ability

The ability resource.

Base/ability
GET/ability

List abilities

Retrieve a paginated list of abilities. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GET/ability
curl --request GET \
  --url '<your-host>/ability?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "curve": "string",
    "shadowWeeks": 0,
    "active": true,
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "processId": "xyz789"
  }
]
GET/ability

Retrieve a ability

Fetch a single ability by filtering on `id`.

Query parameters

idstring

Match on the ability's `id`, e.g. `eq.{id}`.

GET/ability
curl --request GET \
  --url '<your-host>/ability?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "curve": "string",
  "shadowWeeks": 0,
  "active": true,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "processId": "xyz789"
}
POST/ability

Create a ability

Create a new ability.

Body parameters

curveobjectrequired
shadowWeeksnumberrequired
activebooleanrequired
companyIdstringrequired

References company.id

processIdstringrequired

References process.id

recertifyEveryDaysnumber
POST/ability
curl --request POST \
  --url <your-host>/ability \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"curve":"string","shadowWeeks":0,"active":true,"companyId":"xyz789","processId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "curve": "string",
  "shadowWeeks": 0,
  "active": true,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "processId": "xyz789"
}
PATCH/ability

Update a ability

Update an existing ability, matched on `id`.

Body parameters

curveobjectrequired
shadowWeeksnumberrequired
activebooleanrequired
companyIdstringrequired

References company.id

processIdstringrequired

References process.id

recertifyEveryDaysnumber
PATCH/ability
curl --request PATCH \
  --url '<your-host>/ability?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"curve":"string"}'
Response
{
  "id": "abc123def456",
  "curve": "string",
  "shadowWeeks": 0,
  "active": true,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "processId": "xyz789"
}
DELETE/ability

Delete a ability

Delete a ability, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the ability to delete, e.g. `eq.{id}`.

DELETE/ability
curl --request DELETE \
  --url '<your-host>/ability?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content